<?php
/**
* @package Mambo Open Source
* @copyright (C) 2005 - 2006 Mambo Foundation Inc.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*
* Mambo was originally developed by Miro (www.miro.com.au) in 2000. Miro assigned the copyright in Mambo to The Mambo Foundation in 2005 to ensure
* that Mambo remained free Open Source software owned and managed by the community.
* Mambo is Free Software
*/ 

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
/**
* Displays the capture output of the main element
*/
function mosMainBody() {
	$handler =& mosComponentHandler::getInstance();
	$handler->mosMainBody();
}

/**
* @param string THe template position
*/
function mosCountModules( $position='left' ) {
	$handler =& mosModuleHandler::getInstance();
	return $handler->mosCountModules($position);
}

/**
* @param string The position
* @param int The style.  0=normal, 1=horiz, -1=no wrapper
*/
function mosLoadModules( $position='left', $style=0 ) {
	$handler =& mosModuleHandler::getInstance();
	return $handler->mosLoadModules($position, $style);
}
/**
* Assembles head tags
*/
function mosShowHead() {
	$mainframe =& mosMainFrame::getInstance();
	$mainframe->mosShowHead();
}
?>
